if "%1"=="" pause 0
if "%2"=="" pause 0
if not exist %1 pause 0
files\main.exe < %1
if errorlevel 1 pause 0
copy %1 alternative.in
solutions\sol_ap_up_ok.exe
if errorlevel 1 pause 0
del alternative.in
if not exist alternative.out pause 0
move alternative.out %2
check.exe %1 %2 %2
if errorlevel 1 pause 0
